Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I recently installed Thunderbird 3.1 from some source that wasn't the ubuntu repos. I can't remember right now where I got it from (I think it was packaged as a deb), but I'm having a problem when it tries to auto-update.

Unlike the versions that manage their updates via the repos, this one is supposed to update itself whenever it needs to, which seemed fine, but whenever it tries, it pops up an error:

A recommended security and stability update is available, but you do not have the system permissions required to install it. Please contact your system administrator, or try again from an account that has permission to install software on this computer. You can always get the latest version of Thunderbird at: http://mozillamessaging.com/en-US/thunderbird

Is there a way to give TB the permissions it needs short of opening it as root?

share|improve this question
    
This is a good question, with a good answer. The Mozilla folks are great about updating, but that's useless unless you follow their PPA. –  Nighthawk Sep 19 '10 at 18:20

2 Answers 2

up vote 4 down vote accepted

Nope. The only way to allow Thunderbird to update itself is to launch it as root, or to find yet another source that built Thunderbird in such a way that you can install it entirely within your own home folder.

A better option, if you want to run cutting-edge apps, is to try to find someone making builds on the in a Launchpad PPA. These can update through the normal Synaptic/Upgrade system, which means you won't end up with corner cases like this. As it happens, the Mozilla team maintains a PPA of newer versions of Firefox and Thunderbird, including even nightlies. If you install Thunderbird 3.1 from there, you should be golden.

share|improve this answer
    
Yeah, I was afraid of that. At the time that I installed TB, the PPA above wasn't getting updated for TB 3.1, and it was driving me crazy. Looks like they're doing a better job now. So...follow-up question: How do I remove the currently installed one that I got from a deb, so I can replace it with the PPA above? –  mlissner Aug 6 '10 at 0:01
    
As long as you installed from a deb before, that should be as easy as uninstalling the old one via Synaptic, adding the new PPA to the list of repositories, and then re-installing. As long as you don't purge the config files out, everything should be just fine. If it's not, I can walk through it on a VM and figure out what's different. –  Benjamin Pollack Aug 6 '10 at 0:30
    
Awesome. I'll see what I can figure out, thanks for the help. –  mlissner Aug 8 '10 at 6:51

I just updated. In terminal launch thunderbird:

sudo thunderbird

Then it updated with out a problem

Good luck

Anthony

share|improve this answer
1  
The problem is that running sudo thunderbird will open it with your normal profile, and can change the owner/permissions of files in your profile to root. Then, when you try to run it as a normal user, you don't have permission, and you hate life. I am now using a 'upgrade' profile I created just for doing the upgrade. So I run thunderbird -P, do the upgrade using sudo, then return to my normal profile. –  mlissner Nov 21 '10 at 5:26

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.